---
product: NPM
type: "Package registries"
layout: replace
---

# Replace NPM

NPM, a common abbreviation for Node Package Manager, is a package manager for [Node.js](https://nodejs.org), a JavaScript runtime for the server.

## Verdaccio

A lightweight private npm proxy registry.

{% infobox %}
  - **Website**: verdaccio.org
  - **Source code**: [GitHub](https://github.com/verdaccio/verdaccio)
  - **License**: [MIT](https://github.com/verdaccio/verdaccio/blob/master/LICENSE)
{% endinfobox %}

## Open Registry

A JavaScript Package Registry funded, developed and maintained by the community, for the community.

{% infobox %}
  - **Website**: [open-registry.dev](open-registry.dev)
  - **Source code**: [GitHub](https://github.com/open-services/open-registry)
  - **License**: [MIT](https://github.com/open-services/open-registry/blob/master/LICENSE)
{% endinfobox %}

## CNPM

Private npm registry and web for Enterprise.

{% infobox %}
  - **Website**: cnpmjs.org
  - **Source code**: [GitHub](https://github.com/cnpm/cnpmjs.org)
  - **License**: [MIT](https://github.com/cnpm/cnpmjs.org/blob/master/LICENSE.txt)
{% endinfobox %}
