---
product: SmartGit
type: git GUIs
layout: replace
---

# SmartGit

## GitAhead

GitAhead is a graphical Git client for Windows, Linux and macOS. It features a fast native interface designed to help you understand and manage your source code history. 

{% infobox %}
  - **Website** gitahead.com
  - **Source code**: [GitHub](https://github.com/gitahead/gitahead)
  - **License**: [MIT](https://github.com/gitahead/gitahead/blob/master/LICENSE.md)
{% endinfobox %}

## git-cola

Git Cola is a sleek and powerful graphical user interface for Git.
Git Cola is free software and written in Python (v2 + v3).

{% infobox %}
  - **Website**: git-cola.github.io
  - **Source code**: [GitHub](https://github.com/git-cola/git-cola)
  - **License**: [GNU General Public License v2.0](https://github.com/git-cola/git-cola/blob/main/COPYING)
{% endinfobox %}

## gitg

gitg is a graphical user interface for git. It aims at being a small, fast and convenient tool to visualize the history of git repositories. Besides visualization, gitg also provides several utilities to manage your repository and commit your work.

{% infobox %}
  - **Website**: [GNOME](https://wiki.gnome.org/Apps/Gitg)
  - **Source code**: [GNOME](https://gitlab.gnome.org/GNOME/gitg)
  - **License**: [GNU General Public License v2.0](https://gitlab.gnome.org/GNOME/gitg/-/blob/master/COPYING)
{% endinfobox %}

## ungit

The easiest way to use git. On any platform. Anywhere. 

{% infobox %}
  - **Source code**: [GitHub](https://github.com/FredrikNoren/ungit)
  - **License**: [MIT](https://github.com/FredrikNoren/ungit/blob/master/LICENSE.md)
{% endinfobox %}
